> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable API key

> Disable the API key used to authenticate this request. Requires the query parameter `api_key_name=self` as an explicit confirmation.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/workspaces/api-keys/disable
openapi: 3.1.0
info:
  title: Threetone API
  description: >-
    APIs for the Threetone Agents Platform and shared workspace resources.
    Authenticate programmatic requests with an API key in the x-api-key header.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/workspaces/api-keys/disable:
    post:
      tags:
        - workspace
        - api-key
      summary: Disable API key
      description: >-
        Disable the API key used to authenticate this request. Requires the
        query parameter `api_key_name=self` as an explicit confirmation.
      operationId: disable
      parameters:
        - name: api_key_name
          in: query
          required: true
          schema:
            type: string
            description: >-
              Must be set to `self` to disable the API key used to authenticate
              this request. Required as an explicit confirmation to avoid
              accidentally disabling the wrong key.
            title: Api Key Name
          description: >-
            Must be set to `self` to disable the API key used to authenticate
            this request. Required as an explicit confirmation to avoid
            accidentally disabling the wrong key.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.